package fcb.project.manager.core.feignInterfaces.fallBack;

import fcb.project.manager.base.entity.SceneRspBean;
import fcb.project.manager.core.feignInterfaces.SceneFeign;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;

import java.util.List;
import java.util.Map;

/**
 * 2 * @Author: Abner
 * 3 * @Date: 2021/2/5 17:40
 * 4
 */
@Component
public class SceneFeignFallBack implements SceneFeign {


    @Override
    public SceneRspBean updateSceneStatus(Map<String, Object> param, String token) {
        SceneRspBean sceneRspBean = new SceneRspBean();
        sceneRspBean.setCode(-1);
        sceneRspBean.setMsg("服务超时");
        return sceneRspBean;
    }

    @Override
    public SceneRspBean statisticsPoints(@RequestBody Map<String, String> param, @RequestHeader(name = "token") String token) {
        SceneRspBean sceneRspBean = new SceneRspBean();
        sceneRspBean.setCode(-1);
        sceneRspBean.setMsg("服务超时");
        return sceneRspBean;
    }

    @Override
    public SceneRspBean listScenesInNums(@RequestBody List<String> nums, @RequestHeader(name = "token") String token) {
        SceneRspBean sceneRspBean = new SceneRspBean();
        sceneRspBean.setCode(-1);
        sceneRspBean.setMsg("服务超时");
        return sceneRspBean;
    }
}
